-- Copyright (C) 1991-2008 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus II"
-- VERSION "Version 8.1 Build 163 10/28/2008 SJ Web Edition"

-- DATE "01/01/2012 18:08:56"

-- 
-- Device: Altera EP3C16F484C6 Package FBGA484
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY IEEE, cycloneiii;
LIBRARY altera;
USE IEEE.std_logic_1164.all;
USE altera.altera_primitives_components.all;
USE cycloneiii.cycloneiii_components.all;

ENTITY 	transmitter_control_unit IS
    PORT (
	CLK : IN std_logic;
	CD : IN std_logic;
	Enable_TX : IN std_logic;
	ST : IN std_logic;
	TC8 : IN std_logic;
	F : OUT std_logic_vector(1 DOWNTO 0);
	S : OUT std_logic_vector(1 DOWNTO 0);
	LDD : OUT std_logic;
	CE : OUT std_logic;
	ET : OUT std_logic
	);
END transmitter_control_unit;

ARCHITECTURE structure OF transmitter_control_unit IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_CLK : std_logic;
SIGNAL ww_CD : std_logic;
SIGNAL ww_Enable_TX : std_logic;
SIGNAL ww_ST : std_logic;
SIGNAL ww_TC8 : std_logic;
SIGNAL ww_F : std_logic_vector(1 DOWNTO 0);
SIGNAL ww_S : std_logic_vector(1 DOWNTO 0);
SIGNAL ww_LDD : std_logic;
SIGNAL ww_CE : std_logic;
SIGNAL ww_ET : std_logic;
SIGNAL \CLK~inputclkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \CD~inputclkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \present_state.state_bit_3~q\ : std_logic;
SIGNAL \present_state.state_bit_3~15_combout\ : std_logic;
SIGNAL \TC8~input_o\ : std_logic;
SIGNAL \CLK~input_o\ : std_logic;
SIGNAL \ST~input_o\ : std_logic;
SIGNAL \CLK~inputclkctrl_outclk\ : std_logic;
SIGNAL \F[0]~output_o\ : std_logic;
SIGNAL \F[1]~output_o\ : std_logic;
SIGNAL \S[0]~output_o\ : std_logic;
SIGNAL \S[1]~output_o\ : std_logic;
SIGNAL \LDD~output_o\ : std_logic;
SIGNAL \CE~output_o\ : std_logic;
SIGNAL \ET~output_o\ : std_logic;
SIGNAL \Enable_TX~input_o\ : std_logic;
SIGNAL \present_state.state_bit_2~52_combout\ : std_logic;
SIGNAL \CD~input_o\ : std_logic;
SIGNAL \CD~inputclkctrl_outclk\ : std_logic;
SIGNAL \present_state.state_bit_2~q\ : std_logic;
SIGNAL \present_state.state_bit_1~66_combout\ : std_logic;
SIGNAL \present_state.state_bit_1~q\ : std_logic;
SIGNAL \present_state.state_bit_0~112_combout\ : std_logic;
SIGNAL \present_state.state_bit_0~111_combout\ : std_logic;
SIGNAL \present_state.state_bit_0~113_combout\ : std_logic;
SIGNAL \present_state.state_bit_0~q\ : std_logic;
SIGNAL \F~0_combout\ : std_logic;
SIGNAL \WideOr3~36_combout\ : std_logic;
SIGNAL \WideOr4~32_combout\ : std_logic;
SIGNAL \present_state.Load_Shift_Reg~14_combout\ : std_logic;
SIGNAL \present_state.Load_Data_Reg~14_combout\ : std_logic;
SIGNAL \present_state.Send_D0~14_combout\ : std_logic;
SIGNAL \present_state.Send_Stop_bit~25_combout\ : std_logic;
SIGNAL \ALT_INV_WideOr3~36_combout\ : std_logic;
SIGNAL \ALT_INV_CD~inputclkctrl_outclk\ : std_logic;

BEGIN

ww_CLK <= CLK;
ww_CD <= CD;
ww_Enable_TX <= Enable_TX;
ww_ST <= ST;
ww_TC8 <= TC8;
F <= ww_F;
S <= ww_S;
LDD <= ww_LDD;
CE <= ww_CE;
ET <= ww_ET;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

\CLK~inputclkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \CLK~input_o\);

\CD~inputclkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \CD~input_o\);
\ALT_INV_WideOr3~36_combout\ <= NOT \WideOr3~36_combout\;
\ALT_INV_CD~inputclkctrl_outclk\ <= NOT \CD~inputclkctrl_outclk\;

\present_state.state_bit_3\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \present_state.state_bit_3~15_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \present_state.state_bit_3~q\);

\present_state.state_bit_3~15\ : cycloneiii_lcell_comb
-- Equation(s):
-- \present_state.state_bit_3~15_combout\ = \present_state.Send_Stop_bit~25_combout\ # \ST~input_o\ & \present_state.state_bit_3~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \ST~input_o\,
	datac => \present_state.state_bit_3~q\,
	datad => \present_state.Send_Stop_bit~25_combout\,
	combout => \present_state.state_bit_3~15_combout\);

\TC8~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_TC8,
	o => \TC8~input_o\);

\CLK~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CLK,
	o => \CLK~input_o\);

\ST~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_ST,
	o => \ST~input_o\);

\CLK~inputclkctrl\ : cycloneiii_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "falling edge")
-- pragma translate_on
PORT MAP (
	inclk => \CLK~inputclkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \CLK~inputclkctrl_outclk\);

\F[0]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \F~0_combout\,
	devoe => ww_devoe,
	o => \F[0]~output_o\);

\F[1]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \ALT_INV_WideOr3~36_combout\,
	devoe => ww_devoe,
	o => \F[1]~output_o\);

\S[0]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \WideOr4~32_combout\,
	devoe => ww_devoe,
	o => \S[0]~output_o\);

\S[1]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \present_state.Load_Shift_Reg~14_combout\,
	devoe => ww_devoe,
	o => \S[1]~output_o\);

\LDD~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \present_state.Load_Data_Reg~14_combout\,
	devoe => ww_devoe,
	o => \LDD~output_o\);

\CE~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \present_state.Send_D0~14_combout\,
	devoe => ww_devoe,
	o => \CE~output_o\);

\ET~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \present_state.Send_Stop_bit~25_combout\,
	devoe => ww_devoe,
	o => \ET~output_o\);

\Enable_TX~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_Enable_TX,
	o => \Enable_TX~input_o\);

\present_state.state_bit_2~52\ : cycloneiii_lcell_comb
-- Equation(s):
-- \present_state.state_bit_2~52_combout\ = \present_state.state_bit_2~q\ $ (\present_state.state_bit_1~q\ & \present_state.state_bit_0~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \present_state.state_bit_1~q\,
	datac => \present_state.state_bit_2~q\,
	datad => \present_state.state_bit_0~q\,
	combout => \present_state.state_bit_2~52_combout\);

\CD~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CD,
	o => \CD~input_o\);

\CD~inputclkctrl\ : cycloneiii_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "falling edge")
-- pragma translate_on
PORT MAP (
	inclk => \CD~inputclkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \CD~inputclkctrl_outclk\);

\present_state.state_bit_2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \present_state.state_bit_2~52_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \present_state.state_bit_2~q\);

\present_state.state_bit_1~66\ : cycloneiii_lcell_comb
-- Equation(s):
-- \present_state.state_bit_1~66_combout\ = \present_state.state_bit_1~q\ & (!\present_state.state_bit_0~q\) # !\present_state.state_bit_1~q\ & \present_state.state_bit_0~q\ & (\TC8~input_o\ # !\present_state.state_bit_2~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \TC8~input_o\,
	datab => \present_state.state_bit_2~q\,
	datac => \present_state.state_bit_1~q\,
	datad => \present_state.state_bit_0~q\,
	combout => \present_state.state_bit_1~66_combout\);

\present_state.state_bit_1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \present_state.state_bit_1~66_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \present_state.state_bit_1~q\);

\present_state.state_bit_0~112\ : cycloneiii_lcell_comb
-- Equation(s):
-- \present_state.state_bit_0~112_combout\ = !\present_state.state_bit_3~q\ & !\present_state.state_bit_0~q\ & !\present_state.state_bit_1~q\ & !\present_state.state_bit_2~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \present_state.state_bit_3~q\,
	datab => \present_state.state_bit_0~q\,
	datac => \present_state.state_bit_1~q\,
	datad => \present_state.state_bit_2~q\,
	combout => \present_state.state_bit_0~112_combout\);

\present_state.state_bit_0~111\ : cycloneiii_lcell_comb
-- Equation(s):
-- \present_state.state_bit_0~111_combout\ = \present_state.state_bit_1~q\ & (!\present_state.state_bit_0~q\) # !\present_state.state_bit_1~q\ & \present_state.state_bit_2~q\ & (!\present_state.state_bit_0~q\ # !\TC8~input_o\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \TC8~input_o\,
	datab => \present_state.state_bit_1~q\,
	datac => \present_state.state_bit_2~q\,
	datad => \present_state.state_bit_0~q\,
	combout => \present_state.state_bit_0~111_combout\);

\present_state.state_bit_0~113\ : cycloneiii_lcell_comb
-- Equation(s):
-- \present_state.state_bit_0~113_combout\ = \present_state.state_bit_0~111_combout\ # \ST~input_o\ & \Enable_TX~input_o\ & \present_state.state_bit_0~112_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \ST~input_o\,
	datab => \Enable_TX~input_o\,
	datac => \present_state.state_bit_0~112_combout\,
	datad => \present_state.state_bit_0~111_combout\,
	combout => \present_state.state_bit_0~113_combout\);

\present_state.state_bit_0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \present_state.state_bit_0~113_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \present_state.state_bit_0~q\);

\F~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \F~0_combout\ = \present_state.state_bit_1~q\ & (\present_state.state_bit_0~q\ $ \present_state.state_bit_2~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \present_state.state_bit_0~q\,
	datac => \present_state.state_bit_2~q\,
	datad => \present_state.state_bit_1~q\,
	combout => \F~0_combout\);

\WideOr3~36\ : cycloneiii_lcell_comb
-- Equation(s):
-- \WideOr3~36_combout\ = \present_state.state_bit_0~q\ & \present_state.state_bit_1~q\ # !\present_state.state_bit_2~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \present_state.state_bit_0~q\,
	datac => \present_state.state_bit_2~q\,
	datad => \present_state.state_bit_1~q\,
	combout => \WideOr3~36_combout\);

\WideOr4~32\ : cycloneiii_lcell_comb
-- Equation(s):
-- \WideOr4~32_combout\ = \present_state.state_bit_2~q\ & (!\present_state.state_bit_1~q\) # !\present_state.state_bit_2~q\ & !\present_state.state_bit_0~q\ & \present_state.state_bit_1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \present_state.state_bit_0~q\,
	datac => \present_state.state_bit_2~q\,
	datad => \present_state.state_bit_1~q\,
	combout => \WideOr4~32_combout\);

\present_state.Load_Shift_Reg~14\ : cycloneiii_lcell_comb
-- Equation(s):
-- \present_state.Load_Shift_Reg~14_combout\ = !\present_state.state_bit_0~q\ & !\present_state.state_bit_2~q\ & \present_state.state_bit_1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \present_state.state_bit_0~q\,
	datac => \present_state.state_bit_2~q\,
	datad => \present_state.state_bit_1~q\,
	combout => \present_state.Load_Shift_Reg~14_combout\);

\present_state.Load_Data_Reg~14\ : cycloneiii_lcell_comb
-- Equation(s):
-- \present_state.Load_Data_Reg~14_combout\ = \present_state.state_bit_0~q\ & !\present_state.state_bit_2~q\ & !\present_state.state_bit_1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \present_state.state_bit_0~q\,
	datac => \present_state.state_bit_2~q\,
	datad => \present_state.state_bit_1~q\,
	combout => \present_state.Load_Data_Reg~14_combout\);

\present_state.Send_D0~14\ : cycloneiii_lcell_comb
-- Equation(s):
-- \present_state.Send_D0~14_combout\ = !\present_state.state_bit_1~q\ & \present_state.state_bit_2~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \present_state.state_bit_1~q\,
	datad => \present_state.state_bit_2~q\,
	combout => \present_state.Send_D0~14_combout\);

\present_state.Send_Stop_bit~25\ : cycloneiii_lcell_comb
-- Equation(s):
-- \present_state.Send_Stop_bit~25_combout\ = \present_state.state_bit_0~q\ & \present_state.state_bit_2~q\ & \present_state.state_bit_1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \present_state.state_bit_0~q\,
	datac => \present_state.state_bit_2~q\,
	datad => \present_state.state_bit_1~q\,
	combout => \present_state.Send_Stop_bit~25_combout\);

ww_F(0) <= \F[0]~output_o\;

ww_F(1) <= \F[1]~output_o\;

ww_S(0) <= \S[0]~output_o\;

ww_S(1) <= \S[1]~output_o\;

ww_LDD <= \LDD~output_o\;

ww_CE <= \CE~output_o\;

ww_ET <= \ET~output_o\;
END structure;


